Package commoble.infiniverse.internal

# Class ReflectionBuddy.ImmutableRegistryAccessAccess

java.lang.Object
commoble.infiniverse.internal.ReflectionBuddy.ImmutableRegistryAccessAccess

Enclosing class:
  ReflectionBuddy

public static class ReflectionBuddy.ImmutableRegistryAccessAccess extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ReflectionBuddy.MutableInstanceField<net.minecraft.core.RegistryAccess.ImmutableRegistryAccess,Map<? extends net.minecraft.resources.ResourceKey<? extends net.minecraft.core.Registry<?>>,? extends net.minecraft.core.Registry<?>>>`
`registries`

## Constructor Summary

Constructors
Constructor
Description
`ImmutableRegistryAccessAccess()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### registries

public static final ReflectionBuddy.MutableInstanceField<net.minecraft.core.RegistryAccess.ImmutableRegistryAccess,Map<? extends net.minecraft.resources.ResourceKey<? extends net.minecraft.core.Registry<?>>,? extends net.minecraft.core.Registry<?>>> registries

## Constructor Details

### ImmutableRegistryAccessAccess

public ImmutableRegistryAccessAccess()